package com.persagy.filemove.dialog;

import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.Pane;
import javafx.stage.Modality;
import javafx.stage.Stage;
import javafx.stage.StageStyle;


public class FileMoveHelpDialog extends Stage {
    public FileMoveHelpDialog() {
        StringBuilder msg = new StringBuilder("功能说明：实现两个SaaS环境中楼层地图文件（或设备、空间、\n系统、部件的二维码文件）的转移导入\n\n");
        msg.append("使用说明：本应用需要运行在能同时访问SaaS环境A（至少能保证\n");
        msg.append("与该环境的data-platform-3和image-service两个服务通信）\n");
        msg.append("和SaaS环境B（至少能保证与该环境的image-service服务通信）\n");
        msg.append("的服务器上。\n\n");

        msg.append("参数说明：接口类型有三种[default, file, image]\n");
        msg.append("在文件服务-From中，default为默认方式。表示对非.jsonz文件\n");
        msg.append("用image_get接口获取数据，对.jsonz文件，用file_get获取数据。\n");
        msg.append("在文件服务-To中，default表示用file_upload接口上传数据。\n");
        Label label = new Label(msg.toString());
        label.setLayoutX(20); label.setLayoutY(20);

//        Image img = new Image(FileMoveHelpDialog.class.getResourceAsStream("/img/logic.jpg"));
//        Label lbImg = new Label("");
//        lbImg.setGraphic(new ImageView(img));
//        lbImg.setLayoutX(16); lbImg.setLayoutY(130);
//        lbImg.setPrefSize(320, 320);

        Pane pane = new Pane();
        pane.getChildren().addAll(label);

        Scene scene = new Scene(pane, 480, 300);
        setScene(scene);
        setTitle("Help");
        setResizable(false);
        initStyle(StageStyle.UTILITY);
        initModality(Modality.APPLICATION_MODAL);
    }
}
